Const Fast = 7
Const Slow = 8
Const Stress = 14
Const Relax = 15
Const _wait = 16                                              ' note underscore
Const Soft = 18
Const Volume = 20
Const Speed = 21
Const Pitch = 22
Const Bend = 23
Const Portctr = 24
Const Port = 25
Const Repeat = 26
Const Callphr = 28
Const Gotophr = 29
Const Delay0 = 30
Const Reset0 = 31
Const Iy = 128
Const Ih = 129
Const Ey = 130
Const Eh = 131
Const Ay = 132
Const Ax = 133
Const Ux = 134
Const Oh = 135
Const Aw = 136
Const Ow = 137
Const Uh = 138
Const Uw = 139
Const Mm = 140
Const Ne = 141
Const No = 142
Const Nge = 143
Const Ngo = 144
Const Le = 145
Const Lo = 146
Const Ww = 147
Const Rr = 148
Const Iyrr = 149
Const Eyrr = 150
Const Axrr = 151
Const Awrr = 152
Const Owrr = 153
Const Eyiy = 154
Const Ohiy = 155
Const Owiy = 156
Const Ohih = 157
Const Iyeh = 158
Const Ehll = 159
Const Iyuw = 160
Const Axuw = 161
Const Ihww = 162
Const Ayww = 163
Const Owww = 164
Const Jh = 165
Const Vv = 166
Const Zz = 167
Const Zh = 168
Const Dh = 169
Const Be = 170
Const Bo = 171
Const Eb = 172
Const Ob = 173
Const De = 174
Const _do = 175                                               ' note underscore
Const Ed = 176
Const Od = 177
Const Ge = 178
Const Go = 179
Const Eg = 180
Const Og = 181
Const Ch = 182
Const He = 183
Const Ho = 184
Const Wh = 185
Const Ff = 186
Const Se = 187
Const So = 188
Const Sh = 189
Const Th = 190
Const Tt = 191
Const Tu = 192
Const Ts = 193
Const Ke = 194
Const Ko = 195
Const Ek = 196
Const Ok = 197
Const Pe = 198
Const Po = 199
Const Pa1 = 1
Const Pa2 = 2
Const Pa3 = 3
Const Pa4 = 4
Const Pa5 = 5
Const Pa6 = 6
Const Pa7 = 7
Const Pa8 = 8
Const Eos = 255


'Dimension Variables
Dim Y As Byte , Tmp As Byte                                   'temp vars
Dim Msg As String * 40                                        'Var that holds message

'Do Setup
'It isn't necessary to use the MCU to control M0,M1 & Reset
'You can tie M0 to Low and M1 & Reset to High for normal operation
'I included this to help do auto-baud detect if needed

Mode0 Alias P2.0                                              'M0 line
Mode1 Alias P2.1                                              'M1 Line
Rst Alias P2.2                                                'Reset Line

Open "com2.3:9600" For Output As #1
'Set Control lines accordingly
Reset Mode0                                                   'M0 low
Set Mode1                                                     'M1 high
Set Rst                                                       'Reset High
Waitms 500

'Force Speakjet to Reset
Reset Rst                                                     'Bring Reset low momentarily to force the chip to reset
Waitms 250
Set Rst
Wait 1
Y = 0                                                         'Y is used as the index to the Data below
Do                                                            'Load the message from the Data statements
  Tmp = Lookup(y , Message)
  If Tmp = 0 Then Exit Do                                     'Zero byte is used to indicate the end of data
  Put #1 , Tmp
  Incr Y
Loop
  Wait 3
  Msg = Chr(pa5)
Y = 0
Do                                                            'Load the message from the Data statements
  Tmp = Lookup(y , Message2)
  If Tmp = 0 Then Exit Do                                     'Zero byte is used to indicate the end of data
  Put #1 , Tmp
  Incr Y
Loop

   Wait 1

Y = 0
Do                                                            'Load the message from the Data statements
  Tmp = Lookup(y , Message3)
  If Tmp = 0 Then Exit Do                                     'Zero byte is used to indicate the end of data
  Put #1 , Tmp
  Incr Y
Loop

End

Message:
'Data Mm , Ohih , Slow , Ne , Slow , Ey , Mm , Fast , Ih , Slow , Se       'My name is
'Data Iy , Slow , Ek , Iy , Tt , 0                             'igit
'Data Ne , Iy , Ek , Ayww , 0                                  'niko
Data Fast , Ih , Fast , Ne , Slow , No , Ow , Ff , Eh , Tt , Iy , Slow , Ff       'Innovative
Data Ehll , Eh , Ek , Fast , Th , Fast , Rr , Fast , Oh , Fast , Ne , Iy , Fast , Ek , Se       'electronics
Data Pe , Rr , Iy , Se , Eh , Ne , Slow , Tt , 0
Data Slow , Ne , Ay , Th , Uh , Rr , Ow , Lo , 0

Message2:
Data Slow , Ne , Ay , Th , Uh , Rr , Ow , Lo
Data Se , Pe , Iy , Pa4 , Slow , Ch
Data Fast , Se , Iy , Fast , Ne , Th , Fast , Eyiy , Se , Fast , Ohih , Zh , Ax , Slow , Rr , Pa5 , 0

Message3:
Data Iyuw , Se , Iy , Nge , Pa5 , Se , Pe , Iy , Pa4 , Ke , Pa5 , Jh , Ey , Slow , Tt
Data Pa5 , Pa5 , Slow , Ch , Iy , Pe , Eos , 0
Close #1
'